GET
/subscriptions
Requires subscription.read
permission.
Query parameters
idarray
Return only the IDs specified. Use a comma-separated list to get multiple entities.
afterstring
Return entities after the specified Paddle ID when working with paginated endpoints. Used in the
meta.pagination.next URL in responses for list operations.per_pageinteger
Default:
50Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.
Default: 50; Maximum: 200.
Max: 200
address_idarray
Return entities related to the specified address. Use a comma-separated list to specify multiple address IDs.
collection_modestring
Return entities that match the specified collection mode.
Values
automaticReturn entities where payment is collected automatically using a checkout or saved payment method.manualReturn entities where payment is collected manually. Customers are sent an invoice with payment terms and can make a payment offline or using a checkout.
customer_idarray
Return entities related to the specified customer. Use a comma-separated list to specify multiple customer IDs.
order_bystring
Default:
id[DESC]Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].
Valid fields for ordering: id.
price_idarray
Return entities related to the specified price. Use a comma-separated list to specify multiple price IDs.
scheduled_change_actionarray
Return subscriptions that have a scheduled change. Use a comma-separated list to specify multiple scheduled change actions.
Values
cancelReturn subscriptions with a scheduled change to cancel.pauseReturn subscriptions with a scheduled change to pause.resumeReturn subscriptions with a scheduled change to resume. Only returned for paused subscriptions.noneReturn subscriptions that do not have a scheduled change.
next_billed_atarray | null
Return entities next billed at a specific time. Pass
null to return entities with no next billing date.
statusarray
Return entities that match the specified status. Use a comma-separated list to specify multiple status values.
Values
activeReturn subscriptions where the status isactive. Returned subscriptions are active and Paddle is billing for them.canceledReturn subscriptions where the status iscanceled. Returned subscriptions are canceled.past_dueReturn subscriptions where the status ispast_due. Returned subscriptions have an overdue payment.pausedReturn subscriptions where the status ispaused. Returned subscriptions are paused.trialingReturn subscriptions where the status istrialing. Returned subscriptions are in trial.
Response (200)
dataarrayrequired
idstringrequired
Example:
sub_01h04vsc0qhwtsbsxh3422wjs4Unique Paddle ID for this subscription entity, prefixed with
sub_.Pattern:
^sub_[a-z\d]{26}$statusstringrequired
Status of this subscription. Set automatically by Paddle. Use the pause subscription or cancel subscription operations to change.
Values
activeSubscription is active. Paddle is billing for this subscription and related transactions aren't past due.canceledSubscription is canceled. Automatically set by Paddle when a subscription is canceled. When a subscription is set to cancel on the next billing period, a scheduled change for the cancellation is created. The subscription status moves to canceled when the scheduled change takes effect.past_dueSubscription has an overdue payment. Automatically set by Paddle when payment fails for an automatically-collected transaction, or when payment terms have elapsed for a manually-collected transaction (an invoice).pausedSubscription is paused. Automatically set by Paddle when a subscription is paused. When a subscription is set to pause on the next billing period, a scheduled change for the pause is created. The subscription status moves topausedwhen the scheduled change takes effect.trialingSubscription is in trial.
customer_idstringrequired
Example:
ctm_01grnn4zta5a1mf02jjze7y2ysPaddle ID of the customer that this subscription is for, prefixed with
ctm_.Pattern:
^ctm_[a-z\d]{26}$address_idstringrequired
Example:
add_01gm302t81w94gyjpjpqypkzkfPaddle ID of the address that this subscription is for, prefixed with
add_.Pattern:
^add_[a-z\d]{26}$business_idstring | nullrequired
Example:
biz_01grrebrzaee2qj2fqqhmcyzajUnique Paddle ID for this business entity, prefixed with
biz_.Pattern:
^biz_[a-z\d]{26}$currency_codestringrequired
Supported three-letter ISO 4217 currency code. Transactions for this subscription are created in this currency. Must be
USD, EUR, or GBP if collection_mode is manual.Values
USDUnited States DollarEUREuroGBPPound SterlingJPYJapanese YenAUDAustralian Dollar
+ Show all values− Hide values
CADCanadian DollarCHFSwiss FrancHKDHong Kong DollarSGDSingapore DollarSEKSwedish KronaARSArgentine PesoBRLBrazilian RealCLPChilean PesoCNYChinese YuanCOPColombian PesoCZKCzech KorunaDKKDanish KroneHUFHungarian ForintILSIsraeli ShekelINRIndian RupeeKRWSouth Korean WonMXNMexican PesoNOKNorwegian KroneNZDNew Zealand DollarPENPeruvian SolPLNPolish ZlotyRUBRussian RubleTHBThai BahtTRYTurkish LiraTWDNew Taiwan DollarUAHUkrainian HryvniaVNDVietnamese DongZARSouth African Rand
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
started_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
first_billed_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
next_billed_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
paused_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
canceled_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
discountobject | nullrequired
Details of the discount applied to this subscription.
idstringrequired
Example:
dsc_01gv5kpg05xp104ek2fmgjwttfUnique Paddle ID for this discount, prefixed with
dsc_.Pattern:
^dsc_[a-z\d]{26}$starts_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
ends_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
typestringrequired
Whether this discount applies for multiple billing periods.
Values
recurringDiscount applies to multiple billing periods.one-offDiscount applies to a single billing period only. Returned when a subscription is created in trial with a discount. The discount is removed from the subscription on renewal.
collection_modestringrequired
Default:
automaticHow payment is collected for transactions created for this subscription.
automatic for checkout, manual for invoices.Values
automaticPayment is collected automatically using a checkout initially, then using a payment method on file.manualPayment is collected manually. Customers are sent an invoice with payment terms and can make a payment offline or using a checkout. Requiresbilling_details.
billing_detailsobject | nullrequired
Details for invoicing. Required if
collection_mode is manual.enable_checkoutbooleanrequired
Default:
falseWhether the related transaction may be paid using Paddle Checkout. If omitted when creating a transaction, defaults to
false.purchase_order_numberstringrequired
Customer purchase order number. Appears on invoice documents.
Max length: 100
additional_informationstring | nullrequired
Notes or other information to include on this invoice. Appears on invoice documents.
Max length: 1500
payment_termsobjectrequired
How long a customer has to pay this invoice once issued.
intervalstringrequired
Unit of time.
Values
dayweekmonthyear
frequencyintegerrequired
Amount of time.
Min: 1
current_billing_periodobject | nullrequired
Current billing period for this subscription. Set automatically by Paddle based on the billing cycle.
null for paused and canceled subscriptions.starts_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this period ends.
billing_cycleobjectrequired
How often this subscription renews. Set automatically by Paddle based on the prices on this subscription.
intervalstringrequired
Unit of time.
Values
dayweekmonthyear
frequencyintegerrequired
Amount of time.
Min: 1
scheduled_changeobject | nullrequired
Change that's scheduled to be applied to a subscription. Use the pause subscription, cancel subscription, and resume subscription operations to create scheduled changes.
null if no scheduled changes.actionstringrequired
Kind of change that's scheduled to be applied to this subscription.
Values
cancelSubscription is scheduled to cancel. Its status changes tocanceledon theeffective_atdate.pauseSubscription is scheduled to pause. Its status changes topausedon theeffective_atdate.resumeSubscription is scheduled to resume. Its status changes toactiveon theeffective_atdate.
effective_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this scheduled change takes effect.
resume_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
management_urlsobjectrequired
Customer portal deep links for this subscription.
Authenticated links are only returned when your API key has Customer portal session (Write) permission. For security, the token appended to authenticated links is temporary. You shouldn't store them.
update_payment_methodstring (uri) | nullrequired
Example:
https://buyer-portal.paddle.com/subscriptions/sub_01gtewvbsyeqyhtp2vtc2mctq8/update-payment-method?token=Link to the page for this subscription in the customer portal with the payment method update form pre-opened. Use as part of workflows to let customers update their payment details.
null for manually-collected subscriptions.cancelstring (uri)required
Example:
https://buyer-portal.paddle.com/subscriptions/sub_01gtewvbsyeqyhtp2vtc2mctq8/cancel?token=Link to the page for this subscription in the customer portal with the subscription cancellation form pre-opened. Use as part of cancel subscription workflows.
itemsarrayrequired
List of items on this subscription. Only recurring items are returned.
Items: 1–100
statusstringrequired
Status of this subscription item. Set automatically by Paddle.
Values
activeThis item is active. It is not in trial and Paddle bills for it.inactiveThis item is not active. Set when the related subscription is paused.trialingThis item is in trial. Paddle has not billed for it.
quantitynumberrequired
Quantity of this item on the subscription.
Min: 1
recurringbooleanrequired
Whether this is a recurring item.
false if one-time.created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this item was added to this subscription.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this item was last updated on this subscription.
previously_billed_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
next_billed_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
trial_datesobject | nullrequired
Trial dates for this item.
starts_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this period ends.
priceobjectrequired
Related price entity for this item. This reflects the price entity at the time it was added to the subscription.
idstringrequired
Example:
pri_01gsz8z1q1n00f12qt82y31smhUnique Paddle ID for this price, prefixed with
pri_.Pattern:
^pri_[a-z\d]{26}$product_idstringrequired
Example:
pro_01gsz97mq9pa4fkyy0wqenepkzPaddle ID for the product that this price is for, prefixed with
pro_.Pattern:
^pro_[a-z\d]{26}$descriptionstringrequired
Internal description for this price, not shown to customers. Typically notes for your team.
Length: 2–500
typestringrequired
Default:
standardType of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard.
Values
customNon-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.standardStandard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
namestring | nullrequired
Name of this price, shown to customers at checkout and on invoices. Typically describes how often the related product bills.
Length: 1–150
billing_cycleobject | nullrequired
How often this price should be charged.
null if price is non-recurring (one-time).intervalstringrequired
Unit of time.
Values
dayweekmonthyear
frequencyintegerrequired
Amount of time.
Min: 1
trial_periodobject | nullrequired
Trial period for the product related to this price. The billing cycle begins once the trial period is over.
null for no trial period. Requires billing_cycle.intervalstringrequired
Unit of time.
Values
dayweekmonthyear
frequencyintegerrequired
Amount of time.
Min: 1
requires_payment_methodbooleanrequired
Default:
trueWhether this price requires a payment method (
true) or not (false) when trialing. If false, customers can sign up for subscription without entering their payment details, often referred to as a "cardless trial."tax_modestringrequired
Default:
account_settingHow tax is calculated for this price.
Values
account_settingPrices use the setting from your account.externalPrices are exclusive of tax.internalPrices are inclusive of tax.locationPrices are inclusive or exclusive of tax, depending on the country of the transaction.
unit_priceobjectrequired
Base price. This price applies to all customers, except for customers located in countries where you have
unit_price_overrides.amountstringrequired
Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
currency_codestringrequired
Supported three-letter ISO 4217 currency code.
Values
USDUnited States DollarEUREuroGBPPound SterlingJPYJapanese YenAUDAustralian Dollar
+ Show all values− Hide values
CADCanadian DollarCHFSwiss FrancHKDHong Kong DollarSGDSingapore DollarSEKSwedish KronaARSArgentine PesoBRLBrazilian RealCLPChilean PesoCNYChinese YuanCOPColombian PesoCZKCzech KorunaDKKDanish KroneHUFHungarian ForintILSIsraeli ShekelINRIndian RupeeKRWSouth Korean WonMXNMexican PesoNOKNorwegian KroneNZDNew Zealand DollarPENPeruvian SolPLNPolish ZlotyRUBRussian RubleTHBThai BahtTRYTurkish LiraTWDNew Taiwan DollarUAHUkrainian HryvniaVNDVietnamese DongZARSouth African Rand
unit_price_overridesarrayrequired
List of unit price overrides. Use to override the base price with a custom price and currency for a country or group of countries.
Items: max 250
country_codesarrayrequired
Supported two-letter ISO 3166-1 alpha-2 country code. Customers located in the listed countries are charged the override price.
Items: min 1, unique
string
Two-letter ISO 3166-1 alpha-2 representation of a supported country.
unit_priceobjectrequired
Override price. This price applies to customers located in the countries for this unit price override.
amountstringrequired
Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
currency_codestringrequired
Supported three-letter ISO 4217 currency code.
Values
USDUnited States DollarEUREuroGBPPound SterlingJPYJapanese YenAUDAustralian Dollar
+ Show all values− Hide values
CADCanadian DollarCHFSwiss FrancHKDHong Kong DollarSGDSingapore DollarSEKSwedish KronaARSArgentine PesoBRLBrazilian RealCLPChilean PesoCNYChinese YuanCOPColombian PesoCZKCzech KorunaDKKDanish KroneHUFHungarian ForintILSIsraeli ShekelINRIndian RupeeKRWSouth Korean WonMXNMexican PesoNOKNorwegian KroneNZDNew Zealand DollarPENPeruvian SolPLNPolish ZlotyRUBRussian RubleTHBThai BahtTRYTurkish LiraTWDNew Taiwan DollarUAHUkrainian HryvniaVNDVietnamese DongZARSouth African Rand
quantityobjectrequired
Example:
{"minimum":1,"maximum":100}Limits on how many times the related product can be purchased at this price. Useful for discount campaigns.
minimumintegerrequired
Default:
1Example:
1Minimum quantity of the product related to this price that can be bought. Required if
maximum set.Range: 1–999999999
maximumintegerrequired
Default:
100Example:
100Maximum quantity of the product related to this price that can be bought. Required if
minimum set. Must be greater than or equal to the minimum value.Range: 1–999999999
statusstringrequired
Default:
activeWhether this entity can be used in Paddle.
Values
activeEntity is active and can be used.archivedEntity is archived, so can't be used.
custom_dataobject | nullrequired
Example:
{"customer_reference_id":"abcd1234"}Your own structured key-value data.
import_metaobject | nullrequired
Import information for this entity.
null if this entity is not imported.external_idstring | null
Example:
9b95b0b8-e10f-441a-862e-1936a6d818abReference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example:
paddle_classicName of the platform or provider where this entity was imported from.
Length: 1–200
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
productobjectrequired
Related product entity for this item. This reflects the product entity at the time it was added to the subscription.
idstringrequired
Example:
pro_01gsz97mq9pa4fkyy0wqenepkzUnique Paddle ID for this product, prefixed with
pro_.Pattern:
^pro_[a-z\d]{26}$namestringrequired
Name of this product.
Length: 1–200
descriptionstring | nullrequired
Short description for this product.
Max length: 2048
typestringrequired
Default:
standardType of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard.
Values
customNon-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.standardStandard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
tax_categorystringrequired
Tax category for this product. Used for charging the correct rate of tax. Selected tax category must be enabled on your Paddle account.
Values
digital-goodsNon-customizable digital files or media (not software) acquired with an up front payment that can be accessed without any physical product being delivered.ebooksDigital books and educational material which is sold with permanent rights for use by the customer.implementation-servicesRemote configuration, set-up, and integrating software on behalf of a customer.professional-servicesServices that involve the application of your expertise and specialized knowledge of a software product.saasProducts that allow users to connect to and use online or cloud-based applications over the Internet.
+ Show all values− Hide values
software-programming-servicesstandardSoftware products that are pre-written and can be downloaded and installed onto a local device.training-servicesTraining and education services related to software products.website-hostingCloud storage service for personal or corporate information, assets, or intellectual property.
image_urlrequired
Image for this product. Included in the checkout and on some customer documents.
Image Url
A URL to an image.
null
Empty String
custom_dataobject | nullrequired
Example:
{"customer_reference_id":"abcd1234"}Your own structured key-value data.
statusstringrequired
Default:
activeWhether this entity can be used in Paddle.
Values
activeEntity is active and can be used.archivedEntity is archived, so can't be used.
import_metaobject | nullrequired
Import information for this entity.
null if this entity is not imported.external_idstring | null
Example:
9b95b0b8-e10f-441a-862e-1936a6d818abReference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example:
paddle_classicName of the platform or provider where this entity was imported from.
Length: 1–200
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
custom_dataobject | nullrequired
Example:
{"customer_reference_id":"abcd1234"}Your own structured key-value data.
import_metaobject | nullrequired
Import information for the subscription entity.
null if this entity is not imported.external_idstring | null
Example:
9b95b0b8-e10f-441a-862e-1936a6d818abReference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example:
paddle_classicName of the platform or provider where this entity was imported from.
Length: 1–200
consent_requirementsarrayrequired
List of active consent requirements for the subscription's current billing period.
idstringrequired
Example:
subconreq_01gm302t81w94gyjpjpqypkzkfUnique Paddle ID for this subscription consent requirement entity, prefixed with
subconreq_.Pattern:
^subconreq_[a-z\d]{26}$requirementstringrequired
Type of consent required for successful renewal.
Values
trial_endingConsent required because the trial period is ending.introductory_discount_endingConsent required because an initial discount is ending.
statusstringrequired
Status of this consent requirement.
Values
pendingConsent not yet granted. Subscription is canceled on next renewal.grantedConsent granted. Subscription renews normally.voidedConsent voided. Consent requirement is no longer applicable, either because the consent is no longer required, or another consent requirement has replaced it.
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
consent_periodobject | nullrequired
Period during which consent for this subscription can be granted.
null if there is no next_billed_at or the consent requirement does not apply to the current billing period.starts_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this period ends.
granted_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
voided_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
paginationobjectrequired
Keys used for working with paginated results.
per_pageintegerrequired
Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
nextstring (uri)required
URL containing the query parameters of the original request, along with the
after parameter that marks the starting point of the next page. Always returned, even if has_more is false.has_morebooleanrequired
Whether this response has another page.
estimated_totalinteger
Example:
999Estimated number of entities for this response.
{ "data": [ { "id": "sub_01hv959anj4zrw503h2acawb3p", "status": "active", "customer_id": "ctm_01hv8wt8nffez4p2t6typn4a5j", "address_id": "add_01hv958rbhm5n0r6h3tmna4gtv", "business_id": null, "currency_code": "USD", "created_at": "2024-04-12T12:42:27.89Z", "updated_at": "2024-04-12T12:44:51.309Z", "started_at": "2024-04-12T12:42:27.185672Z", "first_billed_at": "2024-04-12T12:42:27.185672Z", "next_billed_at": "2024-05-12T12:44:51.27Z", "paused_at": null, "canceled_at": null, "collection_mode": "automatic", "billing_details": null, "current_billing_period": { "starts_at": "2024-04-12T12:44:51.27Z", "ends_at": "2024-05-12T12:44:51.27Z" }, "billing_cycle": { "frequency": 1, "interval": "month" }, "scheduled_change": null, "items": [ { "status": "active", "quantity": 10, "recurring": true, "created_at": "2024-04-12T12:42:27.89Z", "updated_at": "2024-04-12T12:44:51.311Z", "previously_billed_at": "2024-04-12T12:44:51.27Z", "next_billed_at": "2024-05-12T12:44:51.27Z", "trial_dates": null, "price": { "id": "pri_01gsz8x8sawmvhz1pv30nge1ke", "product_id": "pro_01gsz4t5hdjse780zja8vvr7jg", "type": "standard", "description": "Monthly", "name": "Monthly (per seat)", "tax_mode": "account_setting", "billing_cycle": { "frequency": 1, "interval": "month" }, "trial_period": null, "unit_price": { "amount": "3000", "currency_code": "USD" }, "unit_price_overrides": [], "custom_data": null, "status": "active", "quantity": { "minimum": 1, "maximum": 999 }, "import_meta": null, "created_at": "2023-02-23T13:55:22.538367Z", "updated_at": "2024-04-11T13:54:52.254748Z" }, "product": { "id": "pro_01gsz4t5hdjse780zja8vvr7jg", "name": "AeroEdit Pro", "type": "standard", "tax_category": "standard", "description": "Designed for professional pilots, including all features plus in Basic plus compliance monitoring, route optimization, and third-party integrations.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png", "custom_data": { "features": { "aircraft_performance": true, "compliance_monitoring": true, "flight_log_management": true, "payment_by_invoice": false, "route_planning": true, "sso": false }, "suggested_addons": [ "pro_01h1vjes1y163xfj1rh1tkfb65", "pro_01gsz97mq9pa4fkyy0wqenepkz" ], "upgrade_description": "Move from Basic to Pro to take advantage of aircraft performance, advanced route planning, and compliance monitoring." }, "status": "active", "import_meta": null, "created_at": "2023-02-23T12:43:46.605Z", "updated_at": "2024-04-05T15:53:44.687Z" } }, { "status": "active", "quantity": 1, "recurring": true, "created_at": "2024-04-12T12:42:27.89Z", "updated_at": "2024-04-12T12:44:51.312Z", "previously_billed_at": "2024-04-12T12:44:51.27Z", "next_billed_at": "2024-05-12T12:44:51.27Z", "trial_dates": null, "price": { "id": "pri_01h1vjfevh5etwq3rb416a23h2", "product_id": "pro_01h1vjes1y163xfj1rh1tkfb65", "type": "standard", "description": "Monthly", "name": "Monthly (recurring addon)", "tax_mode": "account_setting", "billing_cycle": { "frequency": 1, "interval": "month" }, "trial_period": null, "unit_price": { "amount": "10000", "currency_code": "USD" }, "unit_price_overrides": [], "custom_data": null, "status": "active", "quantity": { "minimum": 1, "maximum": 100 }, "import_meta": null, "created_at": "2023-06-01T13:31:12.625056Z", "updated_at": "2024-04-12T10:42:45.476453Z" }, "product": { "id": "pro_01h1vjes1y163xfj1rh1tkfb65", "name": "Analytics addon", "type": "standard", "tax_category": "standard", "description": "Unlock advanced insights into your flight data with enhanced analytics and reporting features. Includes customizable reporting templates and trend analysis across flights.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/97dRpA6SXzcE6ekK9CAr_analytics.png", "custom_data": null, "status": "active", "import_meta": null, "created_at": "2023-06-01T13:30:50.302Z", "updated_at": "2024-04-05T15:47:17.163Z" } } ], "custom_data": null, "management_urls": { "update_payment_method": "https://buyer-portal.paddle.com/subscriptions/sub_01hv959anj4zrw503h2acawb3p/update-payment-method", "cancel": "https://buyer-portal.paddle.com/subscriptions/sub_01hv959anj4zrw503h2acawb3p/cancel" }, "discount": null, "import_meta": null, "consent_requirements": [] }, { "id": "sub_01hv915hmgnwqd9n5yxgy8t60c", "status": "paused", "customer_id": "ctm_01hv8wt8nffez4p2t6typn4a5j", "address_id": "add_01hv914saqwe9wk1sbxyy9q7kq", "business_id": null, "currency_code": "USD", "created_at": "2024-04-12T11:30:29.648Z", "updated_at": "2024-04-12T12:41:53.197Z", "started_at": "2024-04-12T11:30:29.637Z", "first_billed_at": "2024-04-12T11:31:09.996Z", "next_billed_at": null, "paused_at": "2024-04-12T12:41:53.193Z", "canceled_at": null, "collection_mode": "automatic", "billing_details": null, "current_billing_period": null, "billing_cycle": { "frequency": 1, "interval": "month" }, "scheduled_change": null, "items": [ { "status": "active", "quantity": 10, "recurring": true, "created_at": "2024-04-12T11:30:29.648Z", "updated_at": "2024-04-12T12:41:09.265Z", "previously_billed_at": "2024-04-12T12:41:09.234Z", "next_billed_at": null, "trial_dates": { "starts_at": "2024-04-12T11:30:29.637Z", "ends_at": "2024-04-12T11:31:09.996Z" }, "price": { "id": "pri_01hv0vax6rv18t4tamj848ne4d", "product_id": "pro_01htz88xpr0mm7b3ta2pjkr7w2", "type": "standard", "description": "Monthly (per seat) with 14 day trial", "name": "Monthly (per seat)", "tax_mode": "account_setting", "billing_cycle": { "frequency": 1, "interval": "month" }, "trial_period": { "frequency": 14, "interval": "day", "requires_payment_method": false }, "unit_price": { "amount": "500", "currency_code": "USD" }, "unit_price_overrides": [ { "country_codes": [ "IE", "FR", "DE" ], "unit_price": { "amount": "700", "currency_code": "EUR" } }, { "country_codes": [ "GB" ], "unit_price": { "amount": "600", "currency_code": "GBP" } } ], "custom_data": null, "status": "active", "quantity": { "minimum": 1, "maximum": 100 }, "import_meta": null, "created_at": "2024-04-09T07:14:38.424504Z", "updated_at": "2024-04-09T07:15:53.950721Z" }, "product": { "id": "pro_01htz88xpr0mm7b3ta2pjkr7w2", "name": "AeroEdit for learner pilots", "type": "standard", "tax_category": "standard", "description": "Essential tools for student pilots to manage flight logs, analyze performance, and plan routes, and ensure compliance. Valid student pilot certificate from the FAA required.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png", "custom_data": { "features": { "aircraft_performance": true, "compliance_monitoring": false, "flight_log_management": true, "payment_by_invoice": false, "route_planning": true, "sso": false }, "suggested_addons": [ "pro_01h1vjes1y163xfj1rh1tkfb65", "pro_01gsz97mq9pa4fkyy0wqenepkz" ], "upgrade_description": null }, "status": "active", "import_meta": null, "created_at": "2024-04-08T16:22:16.024Z", "updated_at": "2024-04-08T16:27:59.074Z" } } ], "custom_data": null, "management_urls": { "update_payment_method": "https://buyer-portal.paddle.com/subscriptions/sub_01hv915hmgnwqd9n5yxgy8t60c/update-payment-method", "cancel": "https://buyer-portal.paddle.com/subscriptions/sub_01hv915hmgnwqd9n5yxgy8t60c/cancel" }, "discount": null, "import_meta": null, "consent_requirements": [] }, { "id": "sub_01hv8y5ehszzq0yv20ttx3166y", "status": "canceled", "customer_id": "ctm_01hv8wt8nffez4p2t6typn4a5j", "address_id": "add_01hv8y4jk511j9g2n9a2mexjbx", "business_id": null, "currency_code": "USD", "created_at": "2024-04-12T10:38:00.761Z", "updated_at": "2024-04-12T11:24:54.873Z", "started_at": "2024-04-12T10:37:59.556997Z", "first_billed_at": "2024-04-12T10:37:59.556997Z", "next_billed_at": null, "paused_at": null, "canceled_at": "2024-04-12T11:24:54.868Z", "collection_mode": "automatic", "billing_details": null, "current_billing_period": null, "billing_cycle": { "frequency": 1, "interval": "month" }, "scheduled_change": null, "items": [ { "status": "active", "quantity": 20, "recurring": true, "created_at": "2024-04-12T10:38:00.761Z", "updated_at": "2024-04-12T10:49:38.76Z", "previously_billed_at": "2024-04-12T10:37:59.556997Z", "next_billed_at": null, "trial_dates": null, "price": { "id": "pri_01gsz8x8sawmvhz1pv30nge1ke", "product_id": "pro_01gsz4t5hdjse780zja8vvr7jg", "type": "standard", "description": "Monthly", "name": "Monthly (per seat)", "tax_mode": "account_setting", "billing_cycle": { "frequency": 1, "interval": "month" }, "trial_period": null, "unit_price": { "amount": "3000", "currency_code": "USD" }, "unit_price_overrides": [], "custom_data": null, "status": "active", "quantity": { "minimum": 1, "maximum": 999 }, "import_meta": null, "created_at": "2023-02-23T13:55:22.538367Z", "updated_at": "2024-04-11T13:54:52.254748Z" }, "product": { "id": "pro_01gsz4t5hdjse780zja8vvr7jg", "name": "AeroEdit Pro", "type": "standard", "tax_category": "standard", "description": "Designed for professional pilots, including all features plus in Basic plus compliance monitoring, route optimization, and third-party integrations.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png", "custom_data": { "features": { "aircraft_performance": true, "compliance_monitoring": true, "flight_log_management": true, "payment_by_invoice": false, "route_planning": true, "sso": false }, "suggested_addons": [ "pro_01h1vjes1y163xfj1rh1tkfb65", "pro_01gsz97mq9pa4fkyy0wqenepkz" ], "upgrade_description": "Move from Basic to Pro to take advantage of aircraft performance, advanced route planning, and compliance monitoring." }, "status": "active", "import_meta": null, "created_at": "2023-02-23T12:43:46.605Z", "updated_at": "2024-04-05T15:53:44.687Z" } }, { "status": "active", "quantity": 1, "recurring": true, "created_at": "2024-04-12T10:38:00.761Z", "updated_at": "2024-04-12T10:38:00.761Z", "previously_billed_at": "2024-04-12T10:37:59.556997Z", "next_billed_at": null, "trial_dates": null, "price": { "id": "pri_01h1vjfevh5etwq3rb416a23h2", "product_id": "pro_01h1vjes1y163xfj1rh1tkfb65", "type": "standard", "description": "Monthly", "name": "Monthly (recurring addon)", "tax_mode": "account_setting", "billing_cycle": { "frequency": 1, "interval": "month" }, "trial_period": null, "unit_price": { "amount": "10000", "currency_code": "USD" }, "unit_price_overrides": [], "custom_data": null, "status": "active", "quantity": { "minimum": 1, "maximum": 100 }, "import_meta": null, "created_at": "2023-06-01T13:31:12.625056Z", "updated_at": "2024-04-09T07:23:00.907834Z" }, "product": { "id": "pro_01h1vjes1y163xfj1rh1tkfb65", "name": "Analytics addon", "type": "standard", "tax_category": "standard", "description": "Unlock advanced insights into your flight data with enhanced analytics and reporting features. Includes customizable reporting templates and trend analysis across flights.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/97dRpA6SXzcE6ekK9CAr_analytics.png", "custom_data": null, "status": "active", "import_meta": null, "created_at": "2023-06-01T13:30:50.302Z", "updated_at": "2024-04-05T15:47:17.163Z" } }, { "status": "active", "quantity": 1, "recurring": true, "created_at": "2024-04-12T10:49:38.765Z", "updated_at": "2024-04-12T10:49:38.765Z", "previously_billed_at": "2024-04-12T10:49:38.765Z", "next_billed_at": null, "trial_dates": null, "price": { "id": "pri_01gsz95g2zrkagg294kpstx54r", "product_id": "pro_01gsz92krfzy3hcx5h5rtgnfwz", "type": "standard", "description": "Monthly (recurring addon)", "name": "Monthly (recurring addon)", "tax_mode": "account_setting", "billing_cycle": { "frequency": 1, "interval": "month" }, "trial_period": null, "unit_price": { "amount": "25000", "currency_code": "USD" }, "unit_price_overrides": [], "custom_data": null, "status": "active", "quantity": { "minimum": 1, "maximum": 1 }, "import_meta": null, "created_at": "2023-02-23T13:59:52.159927Z", "updated_at": "2024-04-09T07:27:48.018296Z" }, "product": { "id": "pro_01gsz92krfzy3hcx5h5rtgnfwz", "name": "VIP support", "type": "standard", "tax_category": "standard", "description": "Get exclusive access to our expert team of product specialists, available to help you make the most of your AeroEdit subscription.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/qgyipKJwRtq98YNboipo_vip-support.png", "custom_data": null, "status": "active", "import_meta": null, "created_at": "2023-02-23T13:58:17.615Z", "updated_at": "2024-04-05T15:44:02.893Z" } } ], "custom_data": null, "management_urls": { "update_payment_method": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8y5ehszzq0yv20ttx3166y/update-payment-method", "cancel": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8y5ehszzq0yv20ttx3166y/cancel" }, "discount": null, "import_meta": null, "consent_requirements": [] }, { "id": "sub_01hv8xqmay5w5rfsnzkxzgy0yp", "status": "active", "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4", "address_id": "add_01hv8gq3318ktkfengj2r75gfx", "business_id": null, "currency_code": "USD", "created_at": "2024-04-12T10:30:27.934Z", "updated_at": "2024-04-12T10:30:27.934Z", "started_at": "2024-04-12T00:00:00Z", "first_billed_at": "2024-04-12T00:00:00Z", "next_billed_at": "2025-04-12T00:00:00Z", "paused_at": null, "canceled_at": null, "collection_mode": "manual", "billing_details": { "enable_checkout": false, "purchase_order_number": "PO-123", "additional_information": null, "payment_terms": { "frequency": 2, "interval": "week" } }, "current_billing_period": { "starts_at": "2024-04-12T00:00:00Z", "ends_at": "2025-04-12T00:00:00Z" }, "billing_cycle": { "frequency": 1, "interval": "year" }, "scheduled_change": null, "items": [ { "status": "active", "quantity": 50, "recurring": true, "created_at": "2024-04-12T10:30:27.934Z", "updated_at": "2024-04-12T10:30:27.934Z", "previously_billed_at": "2024-04-12T00:00:00Z", "next_billed_at": "2025-04-12T00:00:00Z", "trial_dates": null, "price": { "id": "pri_01gsz91wy9k1yn7kx82aafwvea", "product_id": "pro_01gsz4vmqbjk3x4vvtafffd540", "type": "standard", "description": "Annual", "name": "Annual (per seat)", "tax_mode": "account_setting", "billing_cycle": { "frequency": 1, "interval": "year" }, "trial_period": null, "unit_price": { "amount": "50000", "currency_code": "USD" }, "unit_price_overrides": [], "custom_data": null, "status": "active", "quantity": { "minimum": 1, "maximum": 100 }, "import_meta": null, "created_at": "2023-02-23T13:57:54.249913Z", "updated_at": "2024-04-05T14:32:00.471447Z" }, "product": { "id": "pro_01gsz4vmqbjk3x4vvtafffd540", "name": "AeroEdit Enterprise", "type": "standard", "tax_category": "standard", "description": "The ultimate solution for organizations, featuring all Pro capabilities plus multi-user support, advanced data storage capabilities, plus personalized onboarding, dedicated account management, and the ability to pay via invoice.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/Ws808ziTS76a6YbnMkiK_enterprise.png", "custom_data": { "features": { "aircraft_performance": true, "compliance_monitoring": true, "flight_log_management": true, "payment_by_invoice": true, "route_planning": true, "sso": true }, "suggested_addons": [], "upgrade_description": "Ready to reach new heights? Upgrade to enterprise to unlock single sign-on, payment by invoice, and dedicated account management." }, "status": "active", "import_meta": null, "created_at": "2023-02-23T12:44:34.923Z", "updated_at": "2024-04-05T15:58:28.309Z" } }, { "status": "active", "quantity": 1, "recurring": true, "created_at": "2024-04-12T10:30:27.934Z", "updated_at": "2024-04-12T10:30:27.934Z", "previously_billed_at": "2024-04-12T00:00:00Z", "next_billed_at": "2025-04-12T00:00:00Z", "trial_dates": null, "price": { "id": "pri_01gsz96z29d88jrmsf2ztbfgjg", "product_id": "pro_01gsz92krfzy3hcx5h5rtgnfwz", "type": "standard", "description": "Annual (recurring addon)", "name": "Annual (recurring addon)", "tax_mode": "account_setting", "billing_cycle": { "frequency": 1, "interval": "year" }, "trial_period": null, "unit_price": { "amount": "300000", "currency_code": "USD" }, "unit_price_overrides": [], "custom_data": null, "status": "active", "quantity": { "minimum": 1, "maximum": 1 }, "import_meta": null, "created_at": "2023-02-23T14:00:40.265185Z", "updated_at": "2024-03-25T14:31:18.587603Z" }, "product": { "id": "pro_01gsz92krfzy3hcx5h5rtgnfwz", "name": "VIP support", "type": "standard", "tax_category": "standard", "description": "Get exclusive access to our expert team of product specialists, available to help you make the most of your AeroEdit subscription.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/qgyipKJwRtq98YNboipo_vip-support.png", "custom_data": null, "status": "active", "import_meta": null, "created_at": "2023-02-23T13:58:17.615Z", "updated_at": "2024-04-05T15:44:02.893Z" } } ], "custom_data": null, "management_urls": { "update_payment_method": null, "cancel": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8xqmay5w5rfsnzkxzgy0yp/cancel" }, "discount": null, "import_meta": null, "consent_requirements": [] }, { "id": "sub_01hv8x29kz0t586xy6zn1a62ny", "status": "past_due", "customer_id": "ctm_01hv8wt8nffez4p2t6typn4a5j", "address_id": "add_01hv8wt8ny8ms5vtm71bj8vcdd", "business_id": null, "currency_code": "USD", "created_at": "2024-04-12T10:18:48.831Z", "updated_at": "2024-05-12T10:19:26.014628Z", "started_at": "2024-04-12T10:18:47.635628Z", "first_billed_at": "2024-04-12T10:18:47.635628Z", "next_billed_at": "2024-06-12T10:18:47.635628Z", "paused_at": null, "canceled_at": null, "collection_mode": "automatic", "billing_details": null, "current_billing_period": { "starts_at": "2024-05-12T10:18:47.635628Z", "ends_at": "2024-06-12T10:18:47.635628Z" }, "billing_cycle": { "frequency": 1, "interval": "month" }, "scheduled_change": null, "items": [ { "status": "active", "quantity": 10, "recurring": true, "created_at": "2024-04-12T10:18:48.831Z", "updated_at": "2024-05-12T10:19:26.007628Z", "previously_billed_at": "2024-05-12T10:18:47.635628Z", "next_billed_at": "2024-06-12T10:18:47.635628Z", "trial_dates": null, "price": { "id": "pri_01gsz8x8sawmvhz1pv30nge1ke", "product_id": "pro_01gsz4t5hdjse780zja8vvr7jg", "type": "standard", "description": "Monthly", "name": "Monthly (per seat)", "tax_mode": "account_setting", "billing_cycle": { "frequency": 1, "interval": "month" }, "trial_period": null, "unit_price": { "amount": "3000", "currency_code": "USD" }, "unit_price_overrides": [], "custom_data": null, "status": "active", "quantity": { "minimum": 1, "maximum": 999 }, "import_meta": null, "created_at": "2023-02-23T13:55:22.538367Z", "updated_at": "2024-04-11T13:54:52.254748Z" }, "product": { "id": "pro_01gsz4t5hdjse780zja8vvr7jg", "name": "AeroEdit Pro", "type": "standard", "tax_category": "standard", "description": "Designed for professional pilots, including all features plus in Basic plus compliance monitoring, route optimization, and third-party integrations.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png", "custom_data": { "features": { "aircraft_performance": true, "compliance_monitoring": true, "flight_log_management": true, "payment_by_invoice": false, "route_planning": true, "sso": false }, "suggested_addons": [ "pro_01h1vjes1y163xfj1rh1tkfb65", "pro_01gsz97mq9pa4fkyy0wqenepkz" ], "upgrade_description": "Move from Basic to Pro to take advantage of aircraft performance, advanced route planning, and compliance monitoring." }, "status": "active", "import_meta": null, "created_at": "2023-02-23T12:43:46.605Z", "updated_at": "2024-04-05T15:53:44.687Z" } }, { "status": "active", "quantity": 1, "recurring": true, "created_at": "2024-04-12T10:18:48.831Z", "updated_at": "2024-05-12T10:19:26.010628Z", "previously_billed_at": "2024-05-12T10:18:47.635628Z", "next_billed_at": "2024-06-12T10:18:47.635628Z", "trial_dates": null, "price": { "id": "pri_01h1vjfevh5etwq3rb416a23h2", "product_id": "pro_01h1vjes1y163xfj1rh1tkfb65", "type": "standard", "description": "Monthly", "name": "Monthly (recurring addon)", "tax_mode": "account_setting", "billing_cycle": { "frequency": 1, "interval": "month" }, "trial_period": null, "unit_price": { "amount": "10000", "currency_code": "USD" }, "unit_price_overrides": [], "custom_data": null, "status": "active", "quantity": { "minimum": 1, "maximum": 100 }, "import_meta": null, "created_at": "2023-06-01T13:31:12.625056Z", "updated_at": "2024-04-09T07:23:00.907834Z" }, "product": { "id": "pro_01h1vjes1y163xfj1rh1tkfb65", "name": "Analytics addon", "type": "standard", "tax_category": "standard", "description": "Unlock advanced insights into your flight data with enhanced analytics and reporting features. Includes customizable reporting templates and trend analysis across flights.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/97dRpA6SXzcE6ekK9CAr_analytics.png", "custom_data": null, "status": "active", "import_meta": null, "created_at": "2023-06-01T13:30:50.302Z", "updated_at": "2024-04-05T15:47:17.163Z" } } ], "custom_data": null, "management_urls": { "update_payment_method": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8x29kz0t586xy6zn1a62ny/update-payment-method", "cancel": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8x29kz0t586xy6zn1a62ny/cancel" }, "discount": null, "import_meta": null, "consent_requirements": [] } ], "meta": { "request_id": "170e71a2-ed13-4f45-b002-45693f5361b4", "pagination": { "per_page": 50, "next": "https://api.paddle.com/subscriptions?after=sub_01hv8x29kz0t586xy6zn1a62ny", "has_more": false, "estimated_total": 1 } }}